Commit 2c24457d07e656ea79ba8adeb687b71b0a84f0c2
1 parent
31904dd3
no message
Showing
2 changed files
with
8 additions
and
2 deletions
CNLiveIntegralModule/Classes/Module/CNLiveIntegralService.m
| @@ -116,4 +116,10 @@ | @@ -116,4 +116,10 @@ | ||
| 116 | [CNLiveSignInView showWithScore:score scores:scores day:day url:url]; | 116 | [CNLiveSignInView showWithScore:score scores:scores day:day url:url]; |
| 117 | } | 117 | } |
| 118 | 118 | ||
| 119 | +- (void)showSignInViewWithDic:(NSDictionary *)dic { | ||
| 120 | + CNLiveScoreModel * model = [CNLiveScoreModel mj_objectWithKeyValues:dic]; | ||
| 121 | + [self showSignInViewWithScore:model.score scores:model.scores.count>0?model.scores[0]:@"1000,2000,3000,4000,5000,6000,7000" day:model.times url:model.url]; | ||
| 122 | +} | ||
| 123 | + | ||
| 124 | + | ||
| 119 | @end | 125 | @end |
Example/CNLiveIntegralModule.xcodeproj/project.pbxproj
| @@ -207,7 +207,7 @@ | @@ -207,7 +207,7 @@ | ||
| 207 | 6003F586195388D20070C39A /* Sources */, | 207 | 6003F586195388D20070C39A /* Sources */, |
| 208 | 6003F587195388D20070C39A /* Frameworks */, | 208 | 6003F587195388D20070C39A /* Frameworks */, |
| 209 | 6003F588195388D20070C39A /* Resources */, | 209 | 6003F588195388D20070C39A /* Resources */, |
| 210 | - 9A8784A7A4161CC30484D821 /* [CP] Embed Pods Frameworks */, | 210 | + 185560DC5345AD4951BA166A /* [CP] Embed Pods Frameworks */, |
| 211 | ); | 211 | ); |
| 212 | buildRules = ( | 212 | buildRules = ( |
| 213 | ); | 213 | ); |
| @@ -320,7 +320,7 @@ | @@ -320,7 +320,7 @@ | ||
| 320 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 320 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 321 | showEnvVarsInLog = 0; | 321 | showEnvVarsInLog = 0; |
| 322 | }; | 322 | }; |
| 323 | - 9A8784A7A4161CC30484D821 /* [CP] Embed Pods Frameworks */ = { | 323 | + 185560DC5345AD4951BA166A /* [CP] Embed Pods Frameworks */ = { |
| 324 | isa = PBXShellScriptBuildPhase; | 324 | isa = PBXShellScriptBuildPhase; |
| 325 | buildActionMask = 2147483647; | 325 | buildActionMask = 2147483647; |
| 326 | files = ( | 326 | files = ( |